List events
curl --request GET \
--url https://api.engine.usesophic.com/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.engine.usesophic.com/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engine.usesophic.com/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"created_at": "2026-07-14T09:30:00Z",
"data": {},
"id": "<string>",
"name": "<string>",
"resource": {
"id": "<string>",
"resource_type": "<string>"
}
}
]{
"code": "<string>",
"detail": "<string>",
"context": {},
"docs": "<string>",
"params": [
{
"code": "<string>",
"detail": "<string>",
"path": [
123
]
}
]
}Events
List events
Retrieve events, optionally filtered by name, resource ID, or creation time.
GET
/
events
List events
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by fully-qualified event name, e.g. customer.created.
Filter by the resource ID that the events describe.
Return events created strictly after this timestamp.
Return events created on or after this timestamp.
Return events created strictly before this timestamp.
Return events created on or before this timestamp.
Response
OK
Time the event was recorded.
Example:
"2026-07-14T09:30:00Z"
Event-specific payload data.
Unique resource identifier.
Fully qualified event name, such as customer.created.
Resource associated with the event.
Show child attributes
Show child attributes